import { DynamoDB } from 'aws-sdk';
export declare type DynamoDbLockConfig = {
    dynamodb: DynamoDB.DocumentClient;
    lockTable: string;
};
export declare enum LockStatus {
    OK = 0,
    EXISTED = 1,
    ERROR = 2
}
export declare type LockResult = {
    status: LockStatus;
    id: string;
    key: string;
    message?: string;
    retriable?: boolean;
};
export declare class DynamoDbLockClient {
    config: DynamoDbLockConfig;
    constructor(config: DynamoDbLockConfig);
    acquireLock: (id: string) => Promise<LockResult>;
    acquireLocks: (keys: string[]) => Promise<LockResult[]>;
}
